#include<stdio.h>
#include<stdlib.h>

int main()
{
    int n,k,i;
    scanf("%i%i",&n,&k);
    int niz[n];
    for (i=0;i<n;i++)
    {
        scanf("%d",&niz[i]);
    }
    niz[n]=0;
    for (i=0;i<n;i++)
    {
        if (k==niz[i])
        {
            if (niz[i+1]==0)
            {
                printf("%d",niz[0]);
            }
            else
            {
                printf("%d",niz[i+1]);
            }
        }
    }
}